<?xml version="1.0"?>
<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:cor="http://bxd.fi/CorporateFileService" xmlns:mod="http://model.bxd.fi">
    <SOAP-ENV:Header>
        <wsse:Security xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" SOAP-ENV:mustUnderstand="1">
            <wsse:BinarySecurityToken EncodingType="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-soap-message-security-1.0#Base64Binary" ValueType="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-x509-token-profile-1.0#X509v3" wsu:Id="X509-0de5aba8-0c33-42c3-c2d4-902b343620e7">MIIFjTCCA3WgAwIBAgIEBjm2ZjANBgkqhkiG9w0BAQsFADAoMQswCQYDVQQGEwJG
STEZMBcGA1UEAxMQT1AtUG9oam9sYSBXUyBDQTAeFw0xNzAyMTAxMzA0NDRaFw0x
OTAyMTAxMzM0NDRaMCIxEzARBgNVBAMTCjEwMDAwNjExMDgxCzAJBgNVBAYTAkZJ
MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAp1f3FrQpVge0qPnKwQeh
MAqrJ+FIDg2LvIM8CEucvytDPKnoMNGlUZDYN1UJtpm1tVtDI7OdRn/mo4xcjFQU
0Tdo9+VAJQohUtzGhS1Xa7ztFs+2MlkpIODg3TjZKgDamA1XCdpCemuxUmkKnyOh
dlsicWw8THUUS9QAuep4OwYdQKxtlVeSomaziWyfxNn2Rmq/pcS/p5mJBenDYLzj
JUlTc6AI61NS+cgWMHBllwqnlI8dmHZIvu4knZHFrfmjY+W8pa5yU5TLMojuX/ZG
MFm/KB4F8Ooef6m3w1NY79rQy2+WIencItCHQKsr+xmNeqfLBA2cQaTJaJudAP/u
2wIDAQABo4IBwzCCAb8wHwYDVR0jBBgwFoAU8g8u1KXHNMmHwTWJE9hxA1pZSm8w
HQYDVR0OBBYEFMXO/1Za33wKajnRqpQRfCBLegZWMA4GA1UdDwEB/wQEAwIFoDAb
BgNVHSAEFDASMBAGDCsGAQQB2G4BAgEBATAAMIGMBgNVHR8EgYQwgYEwP6A9oDuG
OWh0dHA6Ly9jcmwyLm9wLXBhbHZlbHV0LmZpL2NybC9zdWJjYS9PUC1Qb2hqb2xh
X1dTX0NBLmNybDA+oDygOoY4aHR0cDovL2NybC5vcC1wYWx2ZWx1dC5maS9jcmwv
c3ViY2EvT1AtUG9oam9sYV9XU19DQS5jcmwwHQYDVR0lBBYwFAYIKwYBBQUHAwIG
CCsGAQUFBwMBMIGhBggrBgEFBQcBAQSBlDCBkTBHBggrBgEFBQcwAoY7aHR0cDov
L2NybDIub3AtcGFsdmVsdXQuZmkvY2VydHMvc3ViY2EvT1AtUG9oam9sYV9XU19D
QS5jcnQwRgYIKwYBBQUHMAKGOmh0dHA6Ly9jcmwub3AtcGFsdmVsdXQuZmkvY2Vy
dHMvc3ViY2EvT1AtUG9oam9sYV9XU19DQS5jcnQwDQYJKoZIhvcNAQELBQADggIB
AIucKRwjZex+Jl6W4zY6vnex0w2GdIqm0gWP7WRbS+2+3+BuYo1aR9qwKHGx+pAT
4UeRtmG8MjnpAsKnIMEbvaG630Qk0U+VfyFET+S1wVyndy9kz8YoqgehhAvPPVef
RQtncC1eZbprgwpTJTSWYtYvEjs3Isfc56fjC13xGrv2+NYK+rJJtwBl1dvOJ1ja
rOa/q2omdm5gZZ6PmjlMVcqPU/PTQJhDpHEf8baTAWbtTqgM43XKeZKOIFkr02My
ABihj1vjIQSaxwyclBTWJW77GP1biDgsic0oAn9/b5j6VFc+IrOr8r2vffuoqVGg
ZuljAle/8qG1Xez0XcHazNYBsBVhEq72n4/eZcLcB9yGgvtKjda+FnQdWjlK5TKk
4+3mDE4rk6+V+5bv089fcjRDIwEI7o54bLbg11Y10YyqyQFkxiV6WjcVyfy0kX7B
uXoYRUo2CX3DKl1IwJRONK5CxHU7ZCFIelzqvdMv/3/VZKWjs2jKZY2QeK9QB+nG
htq6UciZz4k9eRk3hFQdrHcPzLCUqbHZOb9bXFToLFS21rYCNUJrSmeHbQUKlN1l
AHaSWboIuxxy1Y44FOVJLqqcjCzboHzyR04IlEj6PKz+sgE8pUfy81g8NNdfbBqF
KZeJGcqOS9kPLF3oMP0d5Oq6qUMPLsgRyjWNaayUXp0j</wsse:BinarySecurityToken>
            <ds:Signature xmlns:ds="http://www.w3.org/2000/09/xmldsig#" Id="SIG-2">
                <ds:SignedInfo>
                    <ds:CanonicalizationMethod Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"><ec:InclusiveNamespaces xmlns:ec="http://www.w3.org/2001/10/xml-exc-c14n#" PrefixList="SOAP-ENV cor mod"/></ds:CanonicalizationMethod><ds:SignatureMethod Algorithm="http://www.w3.org/2000/09/xmldsig#rsa-sha1"/>
                    <ds:Reference URI="#id-1">
                        <ds:Transforms>
                            <ds:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"><ec:InclusiveNamespaces xmlns:ec="http://www.w3.org/2001/10/xml-exc-c14n#" PrefixList="cor mod"/></ds:Transform>
                        </ds:Transforms><ds:DigestMethod Algorithm="http://www.w3.org/2000/09/xmldsig#sha1"/>
                        <ds:DigestValue>yRjpdXrVBsLiYPO4GrKU2ofyskY=</ds:DigestValue>
                    </ds:Reference>
                </ds:SignedInfo>
                <ds:SignatureValue>XfYhDOEt+wxOk5xZSGmeiRDpNEifmQ0db04u+l2edyGShHGwwU/MaXgj9dHgzSgX
rd0G9Oavnmd/FpO2fcQry9NjM3W+ix9VSmuOB4VSY/v+pnWJJPOubTmfoVIlUf3o
BFSUNcqRIfzkU56L5WHBeOMmiuZkicjq0LnkWpVGq0uzPs6Cq7W3+MYQKdtInA1N
jx9ZgZFX1dl51aRjBzppy2EbQE7iwKqaFqo2Tew1WmN4byxhAq4c8/vzFT64Yh24
mdwP6/E43OloLx9JV4oDKUAiy94FJwuxm+fGW137FjpBZGFf0GkGZQJ3wXQHRLZ7
YTtnFPTCx3NhOKrLmi8LMg==</ds:SignatureValue>
                <ds:KeyInfo Id="KI-d9fb20b2-0879-4447-c40c-902b343620e7">
                    <wsse:SecurityTokenReference wsu:Id="STR-e4d004e0-75d9-46f8-c678-902b343620e7"><wsse:Reference URI="#X509-0de5aba8-0c33-42c3-c2d4-902b343620e7" ValueType="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-x509-token-profile-1.0#X509v3"/></wsse:SecurityTokenReference>
                </ds:KeyInfo>
            </ds:Signature>
        </wsse:Security>
    </SOAP-ENV:Header>
    <SOAP-ENV:Body xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" wsu:Id="id-1" xml:id="id-1"><cor:uploadFilein xmlns:cor="http://bxd.fi/CorporateFileService">
  <mod:RequestHeader xmlns:mod="http://model.bxd.fi">
    <mod:SenderId>1000061108</mod:SenderId>
    <mod:RequestId>126</mod:RequestId>
    <mod:Timestamp>2017-02-16T13:05:00Z</mod:Timestamp>
    <mod:Language>FI</mod:Language>
    <mod:UserAgent>trafore</mod:UserAgent>
    <mod:ReceiverId>OKOYFIHH</mod:ReceiverId>
  </mod:RequestHeader>
  <mod:ApplicationRequest xmlns:mod="http://model.bxd.fi">PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iVVRGLTgiIHN0YW5kYWxvbmU9Im5vIj8+CjxB
[encoded data, 4712 characters]
CiAgICAgIDwvS2V5SW5mbz4KICA8L1NpZ25hdHVyZT4KPC9BcHBsaWNhdGlvblJlcXVlc3Q+Cg==</mod:ApplicationRequest>
</cor:uploadFilein>
</SOAP-ENV:Body>
</SOAP-ENV:Envelope>
